Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh2
Class SSH2KEXDHGroupXSHA256

    java.lang.Object
      com.mindbright.ssh2.SSH2KeyExchanger
          com.mindbright.ssh2.SSH2KEXDHGroup1SHA1
              com.mindbright.ssh2.SSH2KEXDHGroupXSHA1
                  com.mindbright.ssh2.SSH2KEXDHGroupXSHA256

public class SSH2KEXDHGroupXSHA256
extends SSH2KEXDHGroupXSHA1

Implements diffie hellman key exchange with group negotiation. This algorithm is known as 'diffie-hellman-group-exchange-sha256'

Field Summary

Fields inherited from class com.mindbright.ssh2.SSH2KEXDHGroup1SHA1
`clientE, dhPrivateKey, dhPublicKey, exchangeHash_H, group1G, group1P, serverF, serverHostKey, sha1, sharedSecret_K, transport`

Constructor Summary
`SSH2KEXDHGroupXSHA256()`

Method Summary
`protected MessageDigest` | `createHash()`

Methods inherited from class com.mindbright.ssh2.SSH2KEXDHGroupXSHA1
`computeExchangeHash_H, init, processKEXMethodPDU, sendGEXRequest`

Methods inherited from class com.mindbright.ssh2.SSH2KEXDHGroup1SHA1
`computeSharedSecret_K, generateDHKeyPair, getExchangeHash_H, getExchangeHashAlgorithm, getHostKeyAlgorithms, getSharedSecret_K, sendDHINIT`

Methods inherited from class com.mindbright.ssh2.SSH2KeyExchanger
`getInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSH2KEXDHGroupXSHA256

    public SSH2KEXDHGroupXSHA256()

Method Detail

### createHash

    protected MessageDigest createHash()
                                throws SSH2Exception

  Overrides:
    `createHash` in class `SSH2KEXDHGroup1SHA1`
  Throws:
    `SSH2Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD